# class HTMLDirectoryElement

###

Module | khtml
Namespace | DOM
Class | HTMLDirectoryElement
Inherits | DOM::HTMLElement

### methods

- HTMLDirectoryElement ( )

  returns ctor

- HTMLDirectoryElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.HTMLDirectoryElement |

- HTMLDirectoryElement (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Node |

- HTMLDirectoryElement (impl)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  impl | HTMLDirectoryElementImpl |

- compact ( )

  returns bool

  Reduce spacing between list items. See the compact attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

- setCompact (a0)

  returns Nothing

  Argument | Type | Default
  --- | --- | ---
  a0 | bool |

  see compact